moeoDistanceMatrix(3)

NAME
moeoDistanceMatrix - A matrix to compute distances between every pair of individuals contained in a population.

SYNOPSIS

#include <moeoDistanceMatrix.h>

Inherits eoUF< const eoPop< MOEOT > &, void >.

  Public Member Functions
moeoDistanceMatrix (unsigned int _size, moeoDistance< MOEOT, Type > &_distance)
Ctor.
void operator() (const eoPop< MOEOT > &_pop)
Sets the distance between every pair of individuals contained in the population _pop.

  Private Attributes
moeoDistance< MOEOT, Type > & distance
the distance to use

Detailed Description

  template<class MOEOT, class Type> class moeoDistanceMatrix< MOEOT, Type >
A matrix to compute distances between every pair of individuals contained in a population.

Definition at line 24 of file moeoDistanceMatrix.h.

Constructor & Destructor Documentation

  template<class MOEOT, class Type> moeoDistanceMatrix< MOEOT, Type >::moeoDistanceMatrix (unsigned int _size, moeoDistance< MOEOT, Type > & _distance) [inline]

Ctor.

Parameters:
    _size size for every dimension of the matrix
    _distance the distance to use

Definition at line 37 of file moeoDistanceMatrix.h.

Member Function Documentation

  template<class MOEOT, class Type> void moeoDistanceMatrix< MOEOT, Type >::operator() (const eoPop< MOEOT > & _pop) [inline, virtual]

Sets the distance between every pair of individuals contained in the population _pop.

Parameters:
    _pop the population

Implements eoUF< const eoPop< MOEOT > &, void >.

Definition at line 51 of file moeoDistanceMatrix.h.

References moeoDistanceMatrix< MOEOT, Type >::distance.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.